package smash.appointment.parse;

import java.util.List;

import org.apache.log4j.Logger;

public class Main {
	private static Logger logger = Logger.getLogger(Main.class);

	public static void main(String[] args) throws Exception {
		if (args.length < 2) {
			System.out.println("Usage: command <agenda.xlsx> <subjects.txt>");
		} else {
			SubjectDao subjectDao = new SubjectDao();
			subjectDao.readFile(args[1]);

			XlsxCalendarProcessor processor = new XlsxCalendarProcessor();
			processor.setSubjectDao(subjectDao);

			List<AppointmentEntry> entries = processor.processExcel(args[0]);
			for (AppointmentEntry appointmentEntry : entries) {
				logger.debug(appointmentEntry);
			}
		}
	}

}
