package smash.appointment.parse;

import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;

public class PrcSubjectsParser extends SubjectParser {

	@Override
	protected String parseScreeningNumber(Row row) {
		return "P-" + getString(row.getCell(25));
	}

	@Override
	protected String parseName(Row row) {
		return getString(row.getCell(1));
	}

	@Override
	protected String parseSurname(Row row) {
		return getString(row.getCell(0));
	}

	@Override
	protected String parseNdNumber(Row row) {
		return getString(row.getCell(22));
	}

	@Override
	protected String getSheetName() {
		return "Feuil1";
	}

	@Override
	protected int getInitRow() {
		return 1;
	}

	@Override
	protected String parseBirthDate(Row row) {
		String date = getString(row.getCell(27)).replaceAll(" ", "");
		String year = date.substring(0, 4);
		String month = date.substring(4, 6);
		String day = date.substring(6, 8);
		return year + "-" + month + "-" + day;
	}

	@Override
	protected String parsemPowerId(Row row) {
		return getString(row.getCell(23));
	}

	@Override
	protected String parseAddDate(Row row) {
		return getDate(row.getCell(14));
	}

	@Override
	protected String parseReferal(Row row) {
		return getString(row.getCell(13));
	}

	@Override
	protected String parseDiagnosisYear(Row row) {
		return getString(row.getCell(11));
	}

	@Override
	protected String parseMail(Row row) {
		return getString(row.getCell(10));
	}

	@Override
	protected String parsePhone3(Row row) {
		return getString(row.getCell(9));
	}

	@Override
	protected String parsePhone2(Row row) {
		return getString(row.getCell(8));
	}

	@Override
	protected String parsePhone1(Row row) {
		return getString(row.getCell(7));
	}

	@Override
	protected String parseCity(Row row) {
		return getString(row.getCell(5));
	}

	@Override
	protected String parseCountry(Row row) {
		return getString(row.getCell(6));
	}

	@Override
	protected String parseZipCode(Row row) {
		return getString(row.getCell(4));
	}

	@Override
	protected String parseAddress(Row row) {
		return getString(row.getCell(3));
	}

	@Override
	protected String parseRemarks(Row row) {
		String remark1 = getString(row.getCell(2));
		String remark2 = getString(row.getCell(20));

		String result = "";
		if (!remark1.trim().isEmpty()) {
			result = result + remark1 + "\n";
		}
		if (!remark2.trim().isEmpty()) {
			result = result + remark2 + "\n";
		}
		return result;
	}

	@Override
	protected String parseDiagnosis(Row row) {
		return getString(row.getCell(12));
	}

}
