package smash.appointment.parse;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.List;

public class SubjectDao {
	private List<Subject> subjects = new ArrayList<Subject>();

	public void addSubject(Subject subject) {
		subjects.add(subject);
	}

	public void readFile(String filename) throws IOException {
		try (BufferedReader br = new BufferedReader(new FileReader(filename))) {
			String line;
			while ((line = br.readLine()) != null) {
				String tmp[] = line.split("\t");
				addSubject(new Subject(tmp[0], tmp[1], tmp[2], tmp[3]));
			}
		}
	}

	/**
	 * @return the subjects
	 * @see #subjects
	 */
	public List<Subject> getSubjects() {
		return subjects;
	}

	/**
	 * @param subjects
	 *          the subjects to set
	 * @see #subjects
	 */
	public void setSubjects(List<Subject> subjects) {
		this.subjects = subjects;
	}

	public Subject getByNdNumber(String ndNumber) {
		for (Subject s : subjects) {
			if (ndNumber.equals(s.getNdNumber())) {
				return s;
			}
		}
		return null;
	}

}
